umbrello: UMLScenePrivate Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
UMLScenePrivate Class Reference

## Public Member Functions
| UMLScenePrivate (UMLScene *parent)
| ~UMLScenePrivate ()
void | addMissingPorts ()
void | fixPortPositions ()
void | removeDuplicatedFloatingTextInstances ()
void | setToolBarChanged (WorkToolBar::ToolBar_Buttons button)
void | triggerToolBarButton (WorkToolBar::ToolBar_Buttons button)

## Public Attributes
UMLScene * | p
ToolBarStateFactory * | toolBarStateFactory
ToolBarState * | toolBarState
QPointer< WidgetBase > | widgetLink
bool | inMouseMoveEvent

## Detailed Description

The class UMLScenePrivate is intended to hold private members/classes to reduce the size of the public class and to speed up recompiling. The migration to this class is not complete yet.

## Constructor & Destructor Documentation

## ◆ UMLScenePrivate()

UMLScenePrivate::UMLScenePrivate | ( | UMLScene * | parent | ) |
| inline

## ◆ ~UMLScenePrivate()

UMLScenePrivate::~UMLScenePrivate | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addMissingPorts()

void UMLScenePrivate::addMissingPorts | ( |  | ) |
| inline

Check if there is a corresponding port widget for all UMLPort instances and add if not.

## ◆ fixPortPositions()

void UMLScenePrivate::fixPortPositions | ( |  | ) |
| inline

Check if port are located equally on the border of a component and fix position if not.

## ◆ removeDuplicatedFloatingTextInstances()

void UMLScenePrivate::removeDuplicatedFloatingTextInstances | ( |  | ) |
| inline

Check if duplicated floating text labels are in the scene and remove them

## ◆ setToolBarChanged()

void UMLScenePrivate::setToolBarChanged | ( | WorkToolBar::ToolBar_Buttons | button | ) |
| inline

## ◆ triggerToolBarButton()

void UMLScenePrivate::triggerToolBarButton | ( | WorkToolBar::ToolBar_Buttons | button | ) |
| inline

## Member Data Documentation

## ◆ inMouseMoveEvent

bool UMLScenePrivate::inMouseMoveEvent

## ◆ p

UMLScene* UMLScenePrivate::p

## ◆ toolBarState

ToolBarState* UMLScenePrivate::toolBarState

## ◆ toolBarStateFactory

ToolBarStateFactory* UMLScenePrivate::toolBarStateFactory

## ◆ widgetLink

QPointer<WidgetBase> UMLScenePrivate::widgetLink

The documentation for this class was generated from the following file:

- umbrello/umlscene.cpp